import JSBI from 'jsbi';
import { ChainId } from '@sushiswap/sdk';
export declare type BigintIsh = JSBI | bigint | string;
export declare enum Rounding {
    ROUND_DOWN = 0,
    ROUND_HALF_UP = 1,
    ROUND_UP = 2
}
export declare const ZERO: JSBI;
export declare const ONE: JSBI;
export declare const TWO: JSBI;
export declare const THREE: JSBI;
export declare const FIVE: JSBI;
export declare const TEN: JSBI;
export declare const _100: JSBI;
export declare const _997: JSBI;
export declare const _1000: JSBI;
export declare enum SolidityType {
    uint8 = "uint8",
    uint256 = "uint256"
}
export declare const SOLIDITY_TYPE_MAXIMA: {
    uint8: JSBI;
    uint256: JSBI;
};
export declare const types: {
    EIP712Domain: {
        name: string;
        type: string;
    }[];
    LimitOrder: {
        name: string;
        type: string;
    }[];
};
export declare const limitOrderType = "LimitOrder";
export declare const name = "LimitOrder";
export declare const contract = "0xa513E6E4b8f2a923D98304ec87F64353C4D5C853";
export declare const LAMBDA_URL = "https://7purjswusf.execute-api.us-east-1.amazonaws.com/dev";
export declare const getVerifyingContract: (chainId: ChainId) => string;
